export class Logger {
    constructor(_connection, debug) {
        var _a;
        this._connection = _connection;
        this.logLevel = debug ? 1 : 0;
        void (async () => {
            var _a, _b;
            try {
                const config = await ((_b = (_a = this._connection) === null || _a === void 0 ? void 0 : _a.workspace) === null || _b === void 0 ? void 0 : _b.getConfiguration('vscode-graphql'));
                const debugSetting = config === null || config === void 0 ? void 0 : config.get('debug');
                if (debugSetting === true) {
                    this.logLevel = 1;
                }
                if (debugSetting === false || debugSetting === null) {
                    this.logLevel = 0;
                }
            }
            catch (_c) {
            }
        })();
        (_a = this._connection) === null || _a === void 0 ? void 0 : _a.onDidChangeConfiguration(config => {
            var _a;
            const debugSetting = (config === null || config === void 0 ? void 0 : config.settings) && ((_a = config.settings['vscode-graphql']) === null || _a === void 0 ? void 0 : _a.debug);
            if (debugSetting === undefined) {
                return;
            }
            if (debugSetting === true) {
                this.logLevel = 1;
            }
            if (debugSetting === false || debugSetting === null) {
                this.logLevel = 0;
            }
        });
    }
    error(message) {
        this._connection.console.error(message);
    }
    warn(message) {
        this._connection.console.warn(message);
    }
    info(message) {
        this._connection.console.info(message);
    }
    log(message) {
        if (this.logLevel > 0) {
            this._connection.console.log(message);
        }
    }
}
export class NoopLogger {
    error() { }
    warn() { }
    info() { }
    log() { }
}
//# sourceMappingURL=Logger.js.map